{% extends 'base.html.twig' %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary header-brand">Gesuchsmeldungen <span class="text-secondary">({{ lookingForPropertyRequestReports|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#looking_for_property_request_report_filter" aria-expanded="false" aria-controls="looking_for_property_request_report_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
        </button>
    </div>
    <div class="collapse bg-white" id="looking_for_property_request_report_filter">
        <div class="p-4">
            <div class="mb-2">
                Filter
            </div>
            {{ form_start(lookingForPropertyRequestReportFilterForm) }}
            {% include 'company_location_management/form/looking_for_property_request_report/looking_for_property_request_report_filter_form.html.twig' with {'form': lookingForPropertyRequestReportFilterForm} only %}
            {{ form_widget(lookingForPropertyRequestReportFilterForm.apply, {'label': 'Übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
            {{ form_widget(lookingForPropertyRequestReportFilterForm.reset, {'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            {{ form_row(lookingForPropertyRequestReportFilterForm._token) }}
            {{ form_end(lookingForPropertyRequestReportFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block tabBar %}
    {% include 'component/mdc_tab_bar_component.html.twig' with {
        'id': 'looking_for_property_request_report_overview_tab_bar',
        'tabs': [
            {'name': 'Neue Meldungen', 'id': 'looking_for_property_request_report_unprocessed_overview_tab', 'active': false, 'url': path('company_location_management_looking_for_property_request_report_unprocessed_overview')},
            {'name': 'Bearbeitete Meldungen', 'id': 'looking_for_property_request_report_processed_overview_tab', 'active': false, "url": path('company_location_management_looking_for_property_request_report_processed_overview')}
        ]
    } only %}
{% endblock %}
